org.apache.tapestry5

## Class MarkupWriterAdapter

- java.lang.Object
- - org.apache.tapestry5.MarkupWriterAdapter

- All Implemented Interfaces:
    MarkupWriterListener

      public class MarkupWriterAdapter
      extends Object
      implements MarkupWriterListener

  Default, empty implementation of `MarkupWriterListener`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarkupWriterAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `elementDidEnd(Element element)` Invoked just after an element has ended.
    `void` | `elementDidStart(Element element)` Invoked just after an element and its initial set of attributes has been written.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarkupWriterAdapter

          public MarkupWriterAdapter()

  - ### Method Detail

    - #### elementDidStart

          public void elementDidStart(Element element)

      Description copied from interface: `MarkupWriterListener`
      Invoked just after an element and its initial set of attributes has been written.
      Specified by:
        `elementDidStart` in interface `MarkupWriterListener`
      Parameters:
        `element` - element just created and populated with attributes
      See Also:
        `MarkupWriter.element(String, Object[])`, `MarkupWriter.elementNS(String, String)`

    - #### elementDidEnd

          public void elementDidEnd(Element element)

      Description copied from interface: `MarkupWriterListener`
      Invoked just after an element has ended.
      Specified by:
        `elementDidEnd` in interface `MarkupWriterListener`
      Parameters:
        `element` - just ended
      See Also:
        `MarkupWriter.end()`

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.